"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableOfContentsBlockProcessor = void 0;
const blockProcessor_1 = require("./blockProcessor");
class TableOfContentsBlockProcessor extends blockProcessor_1.BlockProcessor {
    canProcess(block) {
        return block.type === "table_of_contents";
    }
    async process(block) {
        const { reporter } = this.context;
        reporter.info(`Processing table_of_contents block with id: ${block.id}`);
        // Table of contents blocks don't have any content by themselves
        // They are used as placeholders, and the actual TOC data is generated separately
        // and passed through the GraphQL schema
        return {
            plainText: "",
            updatedBlock: block,
            // We don't return tableOfContents from here because that's handled
            // at a higher level in the processor.ts file
        };
    }
}
exports.TableOfContentsBlockProcessor = TableOfContentsBlockProcessor;
